Get one invoice
curl --request GET \
--url https://my.server.express/api/v1/client/invoices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"heldUntil": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"date": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"status": "paid",
"billFrom": {
"name": "<string>",
"address": "<string>",
"vatNumber": "<string>",
"email": "<string>"
},
"billTo": {
"name": "<string>",
"email": "[email protected]",
"contactName": "<string>",
"companyName": "<string>",
"address": "<string>",
"vatNumber": "<string>"
},
"items": [
{
"description": "<string>",
"quantity": 123,
"unitPrice": 123,
"total": 123
}
],
"subtotal": 123,
"tax": 123,
"total": 123,
"currency": "<string>",
"covers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"total": 123,
"status": "paid"
}
],
"coveredBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>"
},
"notes": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Invoices
Get one invoice
Full invoice with line items, bill-from/bill-to blocks (addresses formatted for the country, newline-separated), what a
combined invoice covers and which combined invoice covers this one. heldUntil is set for an unpaid dedicated order whose
machine is on hold. Drafts return 404.
GET
/
v1
/
client
/
invoices
/
{id}
Get one invoice
curl --request GET \
--url https://my.server.express/api/v1/client/invoices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"heldUntil": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"date": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"status": "paid",
"billFrom": {
"name": "<string>",
"address": "<string>",
"vatNumber": "<string>",
"email": "<string>"
},
"billTo": {
"name": "<string>",
"email": "[email protected]",
"contactName": "<string>",
"companyName": "<string>",
"address": "<string>",
"vatNumber": "<string>"
},
"items": [
{
"description": "<string>",
"quantity": 123,
"unitPrice": 123,
"total": 123
}
],
"subtotal": 123,
"tax": 123,
"total": 123,
"currency": "<string>",
"covers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"total": 123,
"status": "paid"
}
],
"coveredBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>"
},
"notes": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}